Folks.PotentialMatch – folks Reference Manual

# PotentialMatch

## Object Hierarchy:

## Description:

public class PotentialMatch : Object

Match calculator for pairs of individuals.

This provides functionality to explore the degree of a potential match between two individuals. It compares the similarity of the individuals' properties to determine how likely it is that the individuals represent the same physical person.

This can be used by folks clients to, for example, present suggestions of pairs of individuals which should be linked by the user.

## Since:

0.5.0

Namespace: Folks
Package: folks

## Content:

### Creation methods:

- public PotentialMatch ()
  Create a new PotentialMatch.

### Methods:

- public MatchResult potential_match (Individual a, Individual b)
  Whether two individuals are likely to be the same person.

### Fields:

- public static Set<string> known_email_aliases
  A set of e-mail addresses known to be aliases of each other, such as various forms of administrator address.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref